data:extend(
{
	{
		-- Item source
		type = "recipe",
		name = creative_mode_defines.names.recipes.item_source,
		ingredients = {},
		result = creative_mode_defines.names.items.item_source,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "a",
		enabled = false
	},
	{
		-- Item void
		type = "recipe",
		name = creative_mode_defines.names.recipes.item_void,
		ingredients = {},
		result = creative_mode_defines.names.items.item_void,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "b",
		enabled = false
	},
	{
		-- Duplicating chest
		type = "recipe",
		name = creative_mode_defines.names.recipes.duplicating_chest,
		ingredients = {},
		result = creative_mode_defines.names.items.duplicating_chest,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "c",
		enabled = false
	},
	{
		-- Duplicating provider chest
		type = "recipe",
		name = creative_mode_defines.names.recipes.duplicating_provider_chest,
		ingredients = {},
		result = creative_mode_defines.names.items.duplicating_provider_chest,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "d",
		enabled = false
	},
	{
		-- Void requester chest
		type = "recipe",
		name = creative_mode_defines.names.recipes.void_requester_chest,
		ingredients = {},
		result = creative_mode_defines.names.items.void_requester_chest,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "e",
		enabled = false
	},
	{
		-- Creative chest
		type = "recipe",
		name = creative_mode_defines.names.recipes.creative_chest,
		ingredients = {},
		result = creative_mode_defines.names.items.creative_chest,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "f",
		enabled = false
	},
	{
		-- Creative provider chest
		type = "recipe",
		name = creative_mode_defines.names.recipes.creative_provider_chest,
		ingredients = {},
		result = creative_mode_defines.names.items.creative_provider_chest,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "g",
		enabled = false
	},
	{
		-- Fluid source
		type = "recipe",
		name = creative_mode_defines.names.recipes.fluid_source,
		ingredients = {},
		result = creative_mode_defines.names.items.fluid_source,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "h",
		enabled = false
	},
	{
		-- Fluid void
		type = "recipe",
		name = creative_mode_defines.names.recipes.fluid_void,
		ingredients = {},
		result = creative_mode_defines.names.items.fluid_void,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "i",
		enabled = false
	},
	{
		-- Duplicator
		type = "recipe",
		name = creative_mode_defines.names.recipes.duplicator,
		ingredients = {},
		result = creative_mode_defines.names.items.duplicator,
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "j",
		enabled = false
	},
	
	{
		-- Active energy source
		type = "recipe",
		name = creative_mode_defines.names.recipes.energy_source,
		ingredients = {},
		result = creative_mode_defines.names.items.energy_source,
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "a",
		enabled = false
	},
	{
		-- Passive energy source
		type = "recipe",
		name = creative_mode_defines.names.recipes.passive_energy_source,
		ingredients = {},
		result = creative_mode_defines.names.items.passive_energy_source,
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "b",
		enabled = false
	},
	{
		-- Active energy void
		type = "recipe",
		name = creative_mode_defines.names.recipes.energy_void,
		ingredients = {},
		result = creative_mode_defines.names.items.energy_void,
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "c",
		enabled = false
	},
	{
		-- Passive energy void
		type = "recipe",
		name = creative_mode_defines.names.recipes.passive_energy_void,
		ingredients = {},
		result = creative_mode_defines.names.items.passive_energy_void,
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "d",
		enabled = false
	},
	{
		-- Super electric pole
		type = "recipe",
		name = creative_mode_defines.names.recipes.super_electric_pole,
		ingredients = {},
		result = creative_mode_defines.names.items.super_electric_pole,
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "e",
		enabled = false
	},
		
	{
		-- Fixed recipe for energy void to absorb energy
		type = "recipe",
		name = creative_mode_defines.names.recipes.energy_absorption,
		ingredients = {},
		result = creative_mode_defines.names.items.energy_absorption,
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "a",
		category = creative_mode_defines.names.recipe_categories.energy_absorption,
		hidden = true,
		enabled = false
	}
})