-- This file contains variables or functions that are common for our fluid provider entities and specific for this mod.
if not fluid_providers_util then fluid_providers_util = {} end

-- Duplicates the fluid in each fluid box of the given entity.
function fluid_providers_util.duplicate_fluid_in_each_fluidbox(entity)
	for i = 1, #entity.fluidbox, 1 do
		local fluid = entity.fluidbox[i]
		if fluid ~= nil then
			-- We don't know the capacity of the fluidbox, so we can only add 50 to the fluid amount.
			fluid.amount = fluid.amount + 50
			entity.fluidbox[i] = fluid
		end
	end
end